CmdMessenger 3.0 CmdMessenger is a serial port messaging library for the .Net / Mono Platform.

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Events
CommandMessenger.ReceiveCommandQueue Class Reference

Queue of received commands. More...

Inheritance diagram for CommandMessenger.ReceiveCommandQueue:

List of all members.

## Public Member Functions
| ReceiveCommandQueue (DisposeStack disposeStack, CmdMessenger cmdMessenger)
| Receive command queue constructor.
ReceivedCommand | DequeueCommand ()
| Dequeue the received command.
void | QueueCommand (ReceivedCommand receivedCommand)
| Queue the received command.
override void | QueueCommand (CommandStrategy commandStrategy)
| Queue the command wrapped in a command strategy.
## Protected Member Functions
override void | ProcessQueue ()
| Process the queue.
## Events
NewLineEvent.NewLineHandler | NewLineReceived

## Detailed Description

Queue of received commands.

## Constructor & Destructor Documentation

CommandMessenger.ReceiveCommandQueue.ReceiveCommandQueue | ( | DisposeStack | disposeStack,
|  | CmdMessenger | cmdMessenger
| ) |  |

Receive command queue constructor.

Parameters:

  disposeStack | DisposeStack.
  cmdMessenger | The command messenger.

## Member Function Documentation

ReceivedCommand CommandMessenger.ReceiveCommandQueue.DequeueCommand | ( |  | ) |

Dequeue the received command.

Returns:
  The received command.

override void CommandMessenger.ReceiveCommandQueue.ProcessQueue | ( |  | ) | `[protected, virtual]`

Process the queue.

Reimplemented from CommandMessenger.CommandQueue.

void CommandMessenger.ReceiveCommandQueue.QueueCommand | ( | ReceivedCommand | receivedCommand | ) |

Queue the received command.

Parameters:

  receivedCommand | The received command.

override void CommandMessenger.ReceiveCommandQueue.QueueCommand | ( | CommandStrategy | commandStrategy | ) | `[virtual]`

Queue the command wrapped in a command strategy.

Parameters:

  commandStrategy | The command strategy.

Reimplemented from CommandMessenger.CommandQueue.

The documentation for this class was generated from the following file:

- D:/My Documents/Github/Arduino-Code-and-Libraries/Libraries/CmdMessenger/CSharp/CommandMessenger/Queue/ReceiveCommandQueue.cs